Name:           athena-blue-base
Version:        10.0c41f73
Release:        1%{?dist}
Summary:        Blue colorbase resources for Athena OS

License:        GPL-3.0-or-later
URL:            https://github.com/Athena-OS/athena-blue-base
Source0:        https://gitlab.com/athenaos/packages/environments/materials/colorbase/athena-blue-base/-/archive/main/%{name}-main.tar.gz

BuildArch:      noarch

%description
This package provides blue color-themed resources (icons and wallpapers) for Athena OS.
It includes wallpapers and GNOME-compatible background settings.

%prep
%autosetup -n %{name}-main

%build
# No compilation needed

%install
# Install wallpapers
install -dm 755 %{buildroot}/usr/share/backgrounds/athena
install -Dm 644 wallpapers/arch-ascii.png %{buildroot}/usr/share/backgrounds/athena/
install -Dm 644 wallpapers/fedora-circuitry.png %{buildroot}/usr/share/backgrounds/athena/
install -Dm 644 wallpapers/nix-behind.png %{buildroot}/usr/share/backgrounds/athena/

# Install icons
install -dm 755 %{buildroot}/usr/share/%{name}/icons/apps
install -dm 755 %{buildroot}/usr/share/%{name}/icons/categories
cp -a icons/apps/* %{buildroot}/usr/share/%{name}/icons/apps/
cp -a icons/categories/* %{buildroot}/usr/share/%{name}/icons/categories/

# Install GNOME background XMLs into system path
install -dm 755 %{buildroot}/usr/share/gnome-background-properties
install -Dm 644 gnome-background-properties/arch-ascii.xml %{buildroot}/usr/share/gnome-background-properties/
install -Dm 644 gnome-background-properties/fedora-circuitry.xml %{buildroot}/usr/share/gnome-background-properties/
install -Dm 644 gnome-background-properties/nix-behind.xml %{buildroot}/usr/share/gnome-background-properties/

%files
%license LICENSE
%doc
/usr/share/backgrounds/athena/*
/usr/share/%{name}
/usr/share/gnome-background-properties/*

%changelog
* Mon Apr 21 2025 02:45 Little Owl <littleowl@athenaos.org>
- Synced with upstream
